### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10.1 documentation »
- The IPython API »

# ipmaker

## Module: `ipmaker`

IPython – An enhanced Interactive Python

Requires Python 2.1 or better.

This file contains the main make_IPython() starter function.

## Functions

`IPython.ipmaker.``force_import`()

`IPython.ipmaker.``make_IPython`()

  This is a dump of IPython into a single function.

  Later it will have to be broken up in a sensible manner.

  Arguments:

  - argv: a list similar to sys.argv[1:]. It should NOT contain the desired

  script name, b/c DPyGetOpt strips the first argument only for the real sys.argv.

  - user_ns: a dict to be used as the user’s namespace.

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10.1 documentation »
- The IPython API »